package com.tykj.dev.device.storage.service;

import com.tykj.dev.device.storage.subject.domin.StorageBill;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @author dengdiyi
 */
public interface StorageBillService {

    StorageBill addEntity(StorageBill storageBillEntity);

    Page<StorageBill> getPage(StorageBill storageBillEntity, Pageable pageable);

    List<StorageBill> getList(StorageBill storageBillEntity);

    StorageBill update(StorageBill storageBillEntity);

    StorageBill getOne(Integer id);

    void delete(Integer id);
}
